List bookings by your external order ID
curl --request GET \
--url https://api.letsdothis.com/v0/bookings/external-order/{externalOrderId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/bookings/external-order/{externalOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/bookings/external-order/{externalOrderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "6399c20015d60ae3ff28f24c",
"status": "CONFIRMED",
"booker": {
"firstName": "Jean-Luc",
"lastName": "Picard",
"email": "jean@earlgrey.com",
"companyName": "Starfleet",
"address": {
"line1": "1701 Enterprise Ave",
"line2": "",
"city": "San Francisco",
"county": "San Francisco",
"country": "US",
"postcode": "94101"
},
"miscFields": []
},
"ticketId": "6399c11c58f29f001ca95934",
"createdAt": "2026-05-08T11:30:00.000Z",
"updatedAt": "2026-05-08T11:30:00.000Z",
"participantCount": 123,
"externalBookingId": "ORD-100234",
"externalOrderId": "ORDER-4471",
"source": "INTERNAL",
"eventOccurrenceId": "6399c11c58f29f001ca95935",
"ticketSlug": "1106607777",
"bookingReference": "br_K9F3P7W2QX5T"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}Bookings
List bookings by your external order ID
Lists the bookings of an imported order, by the externalOrderId on its import rows.
A purchase that produced several bookings returns all of them, sharing one bookingReference. You can also filter GET /v0/bookings by externalOrderId, which combines with its source and status filters. An id you haven’t used returns an empty list.
GET
/
v0
/
bookings
/
external-order
/
{externalOrderId}
List bookings by your external order ID
curl --request GET \
--url https://api.letsdothis.com/v0/bookings/external-order/{externalOrderId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/bookings/external-order/{externalOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/bookings/external-order/{externalOrderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "6399c20015d60ae3ff28f24c",
"status": "CONFIRMED",
"booker": {
"firstName": "Jean-Luc",
"lastName": "Picard",
"email": "jean@earlgrey.com",
"companyName": "Starfleet",
"address": {
"line1": "1701 Enterprise Ave",
"line2": "",
"city": "San Francisco",
"county": "San Francisco",
"country": "US",
"postcode": "94101"
},
"miscFields": []
},
"ticketId": "6399c11c58f29f001ca95934",
"createdAt": "2026-05-08T11:30:00.000Z",
"updatedAt": "2026-05-08T11:30:00.000Z",
"participantCount": 123,
"externalBookingId": "ORD-100234",
"externalOrderId": "ORDER-4471",
"source": "INTERNAL",
"eventOccurrenceId": "6399c11c58f29f001ca95935",
"ticketSlug": "1106607777",
"bookingReference": "br_K9F3P7W2QX5T"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}Authorizations
Path Parameters
Query Parameters
Response
200 - application/json
A page of the order's bookings. Empty if no imported booking has this order id.
Where you are in a paginated list.
Pass next as page[after] to get the next page, or prev as page[before] to get the previous one. An empty cursor means there are no more pages in that direction. Treat cursors as opaque strings.
Show child attributes
Show child attributes
Example:
{
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
Was this page helpful?

